> For the complete documentation index, see [llms.txt](https://docs.17movement.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.17movement.net/phone/exports/wallet/server-exports.md).

# SERVER EXPORTS

## Wallet\_GetAccountNumberBySrc

Retrieves the unique wallet account number associated with a player's server ID.

```lua
local accountId = exports["17mov_Phone"]:Wallet_GetAccountNumberBySrc(src)
```

#### Returns:

* `string` / `nil` accountId: The wallet account number or `nil` if not found.

#### Arguments:

<table><thead><tr><th width="112" align="center">Argument</th><th width="87" align="center">Type</th><th width="105" align="center">Optional</th><th>Explanation</th></tr></thead><tbody><tr><td align="center">src</td><td align="center"><code>number</code></td><td align="center">❌</td><td>Player Server ID (source)</td></tr></tbody></table>

***

## Wallet\_GetAccountNumberByNumber

Retrieves the unique wallet account number associated with a specific phone number.

```lua
local accountId = exports["17mov_Phone"]:Wallet_GetAccountNumberByNumber(number)
```

#### Returns:

* `string` / `nil` accountId: The wallet account number or `nil` if not found.

#### Arguments:

<table><thead><tr><th width="112" align="center">Argument</th><th width="87" align="center">Type</th><th width="105" align="center">Optional</th><th>Explanation</th></tr></thead><tbody><tr><td align="center">number</td><td align="center"><code>string</code></td><td align="center">❌</td><td>Target phone number</td></tr></tbody></table>

***

## Wallet\_AddTransaction

Creates a new transaction between two wallet accounts and synchronizes the data with the active players' phones.

```lua
exports["17mov_Phone"]:Wallet_AddTransaction(fromAccount, toAccount, fromName, toName, description, amount)
```

#### Arguments:

<table><thead><tr><th width="143" align="center">Argument</th><th width="117" align="center">Type</th><th width="114" align="center">Optional</th><th>Explanation</th></tr></thead><tbody><tr><td align="center">fromAccount</td><td align="center"><code>string</code></td><td align="center">❌</td><td>Sender's wallet account number</td></tr><tr><td align="center">toAccount</td><td align="center"><code>string</code></td><td align="center">❌</td><td>Receiver's wallet account number</td></tr><tr><td align="center">fromName</td><td align="center"><code>string</code></td><td align="center">❌</td><td>Name displayed as the sender</td></tr><tr><td align="center">toName</td><td align="center"><code>string</code></td><td align="center">❌</td><td>Name displayed as the receiver</td></tr><tr><td align="center">description</td><td align="center"><code>string</code></td><td align="center">❌</td><td>Transaction label or description</td></tr><tr><td align="center">amount</td><td align="center"><code>number</code></td><td align="center">❌</td><td>The monetary value of the transaction</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.17movement.net/phone/exports/wallet/server-exports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
